package com.zd.laboratory.service.impl;

import java.util.List;
import com.zd.common.core.utils.DateUtils;
import com.zd.common.core.utils.SecurityUtils;
import com.zd.common.security.utils.SaveUtil;

import com.zd.laboratory.domain.vo.LabSubjectVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zd.laboratory.mapper.LabWhiteJoinSublistMapper;
import com.zd.laboratory.domain.LabWhiteJoinSublist;
import com.zd.laboratory.service.ILabWhiteJoinSublistService;

/**
 * 白名单关联的实验室Service业务层处理
 *
 * @author zd
 * @date 2022-03-17
 */
@Service
public class LabWhiteJoinSublistServiceImpl implements ILabWhiteJoinSublistService
{
    @Autowired
    private LabWhiteJoinSublistMapper labWhiteJoinSublistMapper;

    /**
     * 查询白名单关联的实验室
     *
     * @param id 白名单关联的实验室主键
     * @return 白名单关联的实验室
     */
    @Override
    public LabWhiteJoinSublist selectLabWhiteJoinSublistById(Long id)
    {
        return labWhiteJoinSublistMapper.selectLabWhiteJoinSublistById(id);
    }

    /**
     * 查询白名单关联的实验室列表
     *
     * @param labWhiteJoinSublist 白名单关联的实验室
     * @return 白名单关联的实验室
     */
    @Override
    public List<LabSubjectVO> selectLabWhiteJoinSublistList(LabWhiteJoinSublist labWhiteJoinSublist)
    {
        return labWhiteJoinSublistMapper.selectLabWhiteJoinSublistList(labWhiteJoinSublist);
    }

    /**
     * 新增白名单关联的实验室
     *
     * @param labWhiteJoinSublist 白名单关联的实验室
     * @return 结果
     */
    @Override
    public int insertLabWhiteJoinSublist(LabWhiteJoinSublist labWhiteJoinSublist)
    {
        //设置其他公共字段
//        SaveUtil.setCommonAttr(labWhiteJoinSublist);
        return labWhiteJoinSublistMapper.insertLabWhiteJoinSublist(labWhiteJoinSublist);
    }

    /**
     * 修改白名单关联的实验室
     *
     * @param labWhiteJoinSublist 白名单关联的实验室
     * @return 结果
     */
    @Override
    public int updateLabWhiteJoinSublist(LabWhiteJoinSublist labWhiteJoinSublist)
    {
        labWhiteJoinSublist.setUpdateTime(DateUtils.getNowDate());
        labWhiteJoinSublist.setUpdateBy(SecurityUtils.getUsername());
        return labWhiteJoinSublistMapper.updateLabWhiteJoinSublist(labWhiteJoinSublist);
    }

    /**
     * 批量删除白名单关联的实验室
     *
     * @param ids 需要删除的白名单关联的实验室主键
     * @return 结果
     */
    @Override
    public int deleteLabWhiteJoinSublistByIds(Long[] ids)
    {
        return labWhiteJoinSublistMapper.deleteLabWhiteJoinSublistByIds(ids);
    }

    /**
     * 删除白名单关联的实验室信息
     *
     * @param id 白名单关联的实验室主键
     * @return 结果
     */
    @Override
    public int deleteLabWhiteJoinSublistById(Long id)
    {
        return labWhiteJoinSublistMapper.deleteLabWhiteJoinSublistById(id);
    }

    /***
     * 根据参数删除数据
     * @param labWhiteJoinSublist
     * @return
     */
    @Override
    public int deleteLabWhiteJoinSublistByParameter(LabWhiteJoinSublist labWhiteJoinSublist) {
        return labWhiteJoinSublistMapper.deleteLabWhiteJoinSublistByParameter(labWhiteJoinSublist);
    }
}
